
Figure - Bug #118100
【IOVDEV-29360】【VC1】【0095】【台架】【EE环境】【副屏】monkey测试后发现副屏黑屏，但有声音输
出
2023-05-19 14:30 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-19

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103 

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 屏端供应商更新软件

Description

环境信息】EE环境

【问题出现时间】：20230518  8点21分 第148次开机

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.5月18日第148次开机晚上20点50左右开始运行monkey测试

2.5月19日早上8点25分发现副屏黑屏（喇叭有副屏的音乐声音输出）

【实际结果】

副屏黑屏，时不时有声音从喇叭输出.(可以通过wifi建立adb连接，且读取monkey进程依然存在)

【期望结果】

副屏正常运行monkey测试，无黑屏或重启等严重异常问题。

【备注】：

车架号VIN：HRYTTESTVINMGM400

副屏log按照monkey日志（V0095）抓取步骤，在11点03分左右开始获取。

其中查看到副屏中还有8点09分的log(不知道为何会有此log，此时monkey还在运行)

log地址：https://ofs.human-horizons.com/#/download/index/bX2erAYZBhI%3D

monkey的log已添加到附件中

视频地址：https://ofs.human-horizons.com/#/download/index/kvye3R4vyZo%3D

【影响版本】：副屏：01.00.0095.c103

History

#1 - 2023-05-19 15:35 - CDTS-TEST 周婷

- File monkey-20230519.7z added

请分析
#2 - 2023-05-19 16:19 - CDTS-TEST 周婷

日志已飞书提供

#3 - 2023-05-19 16:37 - CD FW 曹覃刚

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0556_0519082605/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0550_0519055603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0537_0518232600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0545_0519032603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0548_0519045603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0541_0519012600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0559_0519095605/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0561_0519105208/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0540_0519005600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0558_0519092605/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0551_0519062603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0547_0519042603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0544_0519025602/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0557_0519085605/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0554_0519075604/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0555_0519080935/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0560_0519102202/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0542_0519015600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0552_0519065604/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0553_0519072604/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0536_0518225600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0539_0519002600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0546_0519035603/kernel/000148_kernel_00358_230518_192854.log.ing:35
7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0543_0519022600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0549_0519052603/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/bk/FSEM_000148_0538_0518235600/kernel/000148_kernel_00358_230518_192854.log.ing:35

7:05-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

tlog_iov0201017500006162025411a2212290000000911_000148_0519110635/FSEM_000148_0562_0519110630/kernel/000148_kernel_00358_230518_192854.log.ing:357:0

5-18 19:30:18.515     0     0 E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

1.从日志中发现有下列屏端异常的日志

E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)

2.备份的日志包中，kernel日志打包异常，每个包中都只有000148_kernel_00358_230518_192854.log.ing这一份相同日志

  同时logcat目录中的日志是空的

#4 - 2023-05-19 16:58 - CDTS-TEST 周婷

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

夏旭 请看看这个日志打包的问题

#5 - 2023-05-19 16:59 - CD FW 曹覃刚

- Category changed from CD-FW to SYSTEM

#6 - 2023-05-19 20:16 - CD SYSTEM-夏旭

1. log 文件中只的tlog_iov0201017500006162025411a2212290000000911_000148_0519110635.tar.gz -> br文件有logcat的log

2.解压文件后查找Monkey 字样，未到，说明与 上面的描述不付--》5月18日第148次开机晚上20点50左右开始运行monkey测试

怀疑没有抓到现场

#7 - 2023-05-19 20:19 - CD SYSTEM-夏旭

■压缩包分析

查看压缩包，从FSEM_000148_0530_0518195559.tar.gz开始tlog进程就已经停了

之前存在过一个问题：当设备存储满了之后tlog还是一直在跑，导致一直在打log报错，最后系统分区增加

https://share.thundersoft.com/redmine/issues/117367

之前的修改方案就是当设备的存储不多时把tlog停止

查看529的prop.txt没有sys.tlog.persist.active属性

在530之后就开始出现[sys.tlog.persist.active]: [1]

on property:sys.tlog.persist.active=0

    stop tlogdPersist

    setprop sys.tlog.persist.active 1

#8 - 2023-05-22 21:40 - CD SYSTEM-夏旭

■目前进展

tlog -m进程crash信息在tombstone_07文件中，这个文件时是在000145次开机的时候产生的
而问题发生的时候是148次开机，tlog停的原因是因为设备存储不多主动把tlog停了的

#9 - 2023-05-22 22:49 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

#10 - 2023-05-23 16:59 - CD SYSTEM-夏旭

- % Done changed from 10 to 20

■目前进展

E DTC_Display: screen not ready(0), bl_sta(119), lvl(0)的日志第一次打印是在第523的压缩包中，所以出现黑屏时的日志是有的，因为异常电压导致的黑屏

./FSEM_000148_0523_0518162550/kernel/000148_kernel_00331_700101_080009.log:1504:01-01 08:02:16.370     0     0 E DTC_Display: Abnormal voltage: 0mV

./FSEM_000148_0523_0518162550/kernel/000148_kernel_00331_700101_080009.log:1505:01-01 08:02:16.370     0     0 E DTC_Display: screen not ready(0),

bl_sta(120), lvl(0)

./FSEM_000148_0523_0518162550/logcat/000148_persist_00214_221111_000202.log:1681:01-01 08:02:16.370     0     0 E DTC_Display: screen not ready(0),

bl_sta(120), lvl(0)

而tlog因为存储不多主动停止是在529，想要恢复也只有重启设备，所以后面的压缩包中的日志一直是重复的

■下一步计划

display分析

#11 - 2023-05-23 19:01 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD BSP-余霄

#12 - 2023-05-26 17:12 - CD BSP-余霄

已知问题，屏端电压异常。

需用TC106版本以及屏端最新软件回归

#13 - 2023-05-29 10:53 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- % Done changed from 20 to 100

- Root cause set to 屏端供应商更新软件

#14 - 2023-05-31 21:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203618 general/platform/vendor/opensource/

display-drivers

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Display: Enable DSI on/off logEnable DSI on/off log for checking dsi outputTC-RID: 1201-0100501IssueID: TS-R-DF-118100Change-Id:

I81ac7d8f9293c8c6a45d0354edf234ff57def8df
#15 - 2023-06-14 16:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207224 general/platform/vendor/opensource/

display-drivers

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

Revert BSP:Display: Enable DSI on/off logThis reverts commit a87f4a0ddd0cb78cd45929b453902a7c54d2d471.TC-RID: 1201-0100501IssueID:

TS-R-DF-118100Change-Id: Ia43993e3fff8f48904b3d95d1d630ec4f39df70e

#16 - 2023-06-20 21:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208871 general/platform/vendor/opensource/

display-drivers

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

Revert BSP:Display: Enable DSI on/off logThis reverts commit a87f4a0ddd0cb78cd45929b453902a7c54d2d471.TC-RID: 1201-0100501IssueID:

TS-R-DF-118100Change-Id: Ia43993e3fff8f48904b3d95d1d630ec4f39df70e(cherry picked from commit 19efa4ddc0eedef2964d221d1c6574792bae56ca)

#17 - 2023-06-25 17:43 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户BUG已关闭，反馈信息如下：

1、现场分析两个测试台架公用一个电源，当电流达到峰值后屏幕出现了黑屏，原因是电流不足背光无法打开，后续两个台架分开使用不同电源连续两天

测试未复现出黑屏问题。

2、自5月22日后此台架独立使用一格电源情况下，monkey测试超过10天未出现黑屏现象，关闭此问题。

#18 - 2023-06-25 17:43 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

monkey测试，副屏黑屏但有声音输出.mp4 17.6 MB 2023-05-19 CDTS_TEST 王成

monkey-20230519.7z 2.92 MB 2023-05-19 CDTS-TEST 周婷
